#include <kdialog.h>
#include <klocale.h>
#ifndef KMM_I18N
#define KMM_I18N
inline QString kmm_i18n(const char* msg, const char* ctx) { return i18n(ctx, msg); }
inline QString kmm_i18n(const char* msg) { return i18n(msg); }
#endif
/****************************************************************************
** Form implementation generated from reading ui file './kaccountsviewdecl.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kaccountsviewdecl.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <kmymoney/kmymoneyaccounttree.h>
#include <kpushbutton.h>
#include <kiconview.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KAccountsViewDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KAccountsViewDecl::KAccountsViewDecl( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KAccountsViewDecl" );
    KAccountsViewDeclLayout = new QVBoxLayout( this, 0, 6, "KAccountsViewDeclLayout"); 

    m_tab = new QTabWidget( this, "m_tab" );

    tab = new QWidget( m_tab, "tab" );
    tabLayout = new QVBoxLayout( tab, 2, 6, "tabLayout"); 

    m_accountTree = new KMyMoneyAccountTree( tab, "m_accountTree" );
    m_accountTree->setShadeSortColumn( FALSE );
    tabLayout->addWidget( m_accountTree );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    m_collapseButton = new KPushButton( tab, "m_collapseButton" );
    layout5->addWidget( m_collapseButton );

    m_expandButton = new KPushButton( tab, "m_expandButton" );
    layout5->addWidget( m_expandButton );
    spacer2 = new QSpacerItem( 515, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer2 );
    tabLayout->addLayout( layout5 );
    m_tab->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( m_tab, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    m_accountIcons = new KIconView( tab_2, "m_accountIcons" );
    m_accountIcons->setArrangement( KIconView::LeftToRight );
    m_accountIcons->setMaxItemTextLength( 30 );
    m_accountIcons->setAutoArrange( TRUE );
    m_accountIcons->setWordWrapIconText( FALSE );
    tabLayout_2->addWidget( m_accountIcons );
    m_tab->insertTab( tab_2, QString::fromLatin1("") );
    KAccountsViewDeclLayout->addWidget( m_tab );

    m_hiddenCategories = new QLabel( this, "m_hiddenCategories" );
    KAccountsViewDeclLayout->addWidget( m_hiddenCategories );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 
    Spacer1 = new QSpacerItem( 367, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( Spacer1 );

    m_totalProfitsLabel = new QLabel( this, "m_totalProfitsLabel" );
    m_totalProfitsLabel->setMinimumSize( QSize( 150, 0 ) );
    m_totalProfitsLabel->setTextFormat( QLabel::RichText );
    m_totalProfitsLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout4->addWidget( m_totalProfitsLabel );
    KAccountsViewDeclLayout->addLayout( layout4 );
    languageChange();
    resize( QSize(697, 426).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_expandButton, SIGNAL( clicked() ), m_accountTree, SLOT( slotExpandAll() ) );
    connect( m_collapseButton, SIGNAL( clicked() ), m_accountTree, SLOT( slotCollapseAll() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KAccountsViewDecl::~KAccountsViewDecl()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KAccountsViewDecl::languageChange()
{
    m_collapseButton->setText( QString::null );
    QToolTip::add( m_collapseButton, kmm_i18n( "Collapse all accounts in the list" ) );
    m_expandButton->setText( QString::null );
    QToolTip::add( m_expandButton, kmm_i18n( "Expand all accounts in the list" ) );
    m_tab->changeTab( tab, kmm_i18n( "List" ) );
    m_tab->changeTab( tab_2, kmm_i18n( "Icons" ) );
    m_hiddenCategories->setText( kmm_i18n( "Note: Unused categories are not shown as selected by settings." ) );
    m_totalProfitsLabel->setText( kmm_i18n( "Total Profits:" ) );
}

#include "kaccountsviewdecl.moc"
