#include <kdialog.h>
#include <klocale.h>
#ifndef KMM_I18N
#define KMM_I18N
inline QString kmm_i18n(const char* msg, const char* ctx) { return i18n(ctx, msg); }
inline QString kmm_i18n(const char* msg) { return i18n(msg); }
#endif
/****************************************************************************
** Form implementation generated from reading ui file './kloanpayoutpagedecl.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kloanpayoutpagedecl.h"

#include <qvariant.h>
#include <kactivelabel.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlabel.h>
#include <kmymoney/kmymoneycategory.h>
#include <kpushbutton.h>
#include <kmymoney/kmymoneydateinput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLoanPayoutPageDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLoanPayoutPageDecl::KLoanPayoutPageDecl( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLoanPayoutPageDecl" );
    KLoanPayoutPageDeclLayout = new QVBoxLayout( this, 11, 6, "KLoanPayoutPageDeclLayout"); 

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );
    kActiveLabel1->setFocusPolicy( KActiveLabel::NoFocus );
    KLoanPayoutPageDeclLayout->addWidget( kActiveLabel1 );

    m_noPayoutTransaction = new QCheckBox( this, "m_noPayoutTransaction" );
    KLoanPayoutPageDeclLayout->addWidget( m_noPayoutTransaction );

    m_payoutDetailFrame = new QFrame( this, "m_payoutDetailFrame" );
    m_payoutDetailFrame->setFrameShape( QFrame::NoFrame );
    m_payoutDetailFrame->setFrameShadow( QFrame::Raised );
    m_payoutDetailFrameLayout = new QGridLayout( m_payoutDetailFrame, 1, 1, 0, 6, "m_payoutDetailFrameLayout"); 

    m_refinanceLoan = new QCheckBox( m_payoutDetailFrame, "m_refinanceLoan" );

    m_payoutDetailFrameLayout->addMultiCellWidget( m_refinanceLoan, 0, 0, 0, 3 );

    textLabel1 = new QLabel( m_payoutDetailFrame, "textLabel1" );

    m_payoutDetailFrameLayout->addWidget( textLabel1, 1, 0 );

    m_assetAccount = new KMyMoneyCategory( m_payoutDetailFrame, "m_assetAccount" );
    m_assetAccount->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, m_assetAccount->sizePolicy().hasHeightForWidth() ) );

    m_payoutDetailFrameLayout->addMultiCellWidget( m_assetAccount, 1, 1, 1, 2 );

    m_createAssetButton = new KPushButton( m_payoutDetailFrame, "m_createAssetButton" );

    m_payoutDetailFrameLayout->addWidget( m_createAssetButton, 1, 3 );

    textLabel1_2 = new QLabel( m_payoutDetailFrame, "textLabel1_2" );

    m_payoutDetailFrameLayout->addWidget( textLabel1_2, 2, 0 );

    m_loanAccount = new KMyMoneyCategory( m_payoutDetailFrame, "m_loanAccount" );
    m_loanAccount->setEnabled( FALSE );
    m_loanAccount->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, m_loanAccount->sizePolicy().hasHeightForWidth() ) );

    m_payoutDetailFrameLayout->addMultiCellWidget( m_loanAccount, 2, 2, 1, 2 );

    textLabel2 = new QLabel( m_payoutDetailFrame, "textLabel2" );

    m_payoutDetailFrameLayout->addWidget( textLabel2, 3, 0 );
    spacer88 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    m_payoutDetailFrameLayout->addItem( spacer88, 3, 1 );

    m_payoutDate = new kMyMoneyDateInput( m_payoutDetailFrame, "m_payoutDate" );

    m_payoutDetailFrameLayout->addWidget( m_payoutDate, 3, 2 );
    KLoanPayoutPageDeclLayout->addWidget( m_payoutDetailFrame );
    spacer89 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KLoanPayoutPageDeclLayout->addItem( spacer89 );
    languageChange();
    resize( QSize(600, 384).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_noPayoutTransaction, SIGNAL( toggled(bool) ), m_payoutDetailFrame, SLOT( setDisabled(bool) ) );
    connect( m_refinanceLoan, SIGNAL( toggled(bool) ), m_assetAccount, SLOT( setDisabled(bool) ) );
    connect( m_refinanceLoan, SIGNAL( toggled(bool) ), m_loanAccount, SLOT( setEnabled(bool) ) );
    connect( m_refinanceLoan, SIGNAL( toggled(bool) ), m_createAssetButton, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLoanPayoutPageDecl::~KLoanPayoutPageDecl()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLoanPayoutPageDecl::languageChange()
{
    kActiveLabel1->setText( kmm_i18n( "If this loan is for an asset, such as a car or a house, you can create the asset account now. An asset account represents the total value of an asset. The money from this loan will be transfered into the asset account you create or select.\n"
"If this loan is a 'consumer loan' (money to use however you want), you can use a checking account instead." ) );
    m_noPayoutTransaction->setText( kmm_i18n( "Don't create payout transaction" ) );
    m_refinanceLoan->setText( kmm_i18n( "Refinance existing loan" ) );
    QWhatsThis::add( m_refinanceLoan, kmm_i18n( "Check this if you are refinancing a loan that already exists in KMyMoney" ) );
    textLabel1->setText( kmm_i18n( "Asset Account" ) );
    m_createAssetButton->setText( kmm_i18n( "Create" ) );
    textLabel1_2->setText( kmm_i18n( "Loan account" ) );
    textLabel2->setText( kmm_i18n( "Date of payment" ) );
}

#include "kloanpayoutpagedecl.moc"
